# $Revision: 1.20 $, $Date: 2006/05/31 12:54:56 $
%define		ocaml_ver	1:3.09.2
Summary:	HTTP 1.1 client for OCaml
Summary(pl):	Klient HTTP 1.1 dla OCamla
Name:		ocaml-netclient
Version:	0.91.1
Release:	7
License:	BSD
Group:		Libraries
Source0:	http://www.ocaml-programming.de/packages/netclient-%{version}.tar.gz
# Source0-md5:	aa9ac43ea13e68b89f9cbfaa27b4c01e
URL:		http://www.ocaml-programming.de/programming/netclient.html
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-equeue-devel
BuildRequires:	ocaml-net-netstring-devel >= 1.1.1-2
BuildRequires:	ocaml-xstr-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Implements much of HTTP/1.1. Implements the following advanced
features: chunked messages; persistent connections; connections in
pipelining mode ("full duplex" connections); modular authentication
methods, currently Basic and Digest; event-driven implementation;
allows concurrent service for several network connections.

%description -l pl
Implementuje wikszo HTTP/1.1. Implementuje rwnie nastpujce
zaawansowane wasnoci: komunikaty w kawakach; poczenia stae;
poczenia w trybie "full duplex"; modularne metody autentykacji,
obecnie Basic i Digest; bazowna na zdarzeniach implementacja;
umoliwia jednoczesn obsug kilku pocze.

%package devel
Summary:	HTTP 1.1 client for OCaml - development part
Summary(pl):	Klient HTTP 1.1 dla OCamla - cze programistyczna
Group:		Development/Libraries
%requires_eq	ocaml
%requires_eq	ocaml-xstr-devel
%requires_eq	ocaml-net-netstring-devel
%requires_eq	ocaml-equeue-devel

%description devel
Implements much of HTTP/1.1. Implements the following advanced
features: chunked messages; persistent connections; connections in
pipelining mode ("full duplex" connections); modular authentication
methods, currently Basic and Digest; event-driven implementation;
allows concurrent service for several network connections.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl
Implementuje wikszo HTTP/1.1. Implementuje rwnie nastpujce
zaawansowane wasnoci: komunikaty w kawakach; poczenia stae;
poczenia w trybie "full duplex"; modularne metody autentykacji,
obecnie Basic i Digest; bazowna na zdarzeniach implementacja;
umoliwia jednoczesn obsug kilku pocze.

Pakiet ten zawiera pliki niezbdne do tworzenia programw uywajcych
tej biblioteki.

%prep
%setup -q -n netclient-%{version}

%build
sed -e 's/-g//; s/\*.cmxa/& \*.cmx/' Makefile > Makefile.tmp
mv -f Makefile.tmp Makefile
%{__make} all opt

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/netclient
OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml %{__make} install
echo 'directory = "+netclient"' \
	>> $RPM_BUILD_ROOT%{_libdir}/ocaml/netclient/META
mv -f $RPM_BUILD_ROOT%{_libdir}/ocaml/netclient/META \
	$RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/netclient/META

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc LICENSE README *.mli
%dir %{_libdir}/ocaml/netclient
%{_libdir}/ocaml/netclient/*.cm[ixa]*
%{_libdir}/ocaml/netclient/*.a
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/netclient

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-netclient.spec,v $
Revision 1.20  2006/05/31 12:54:56  glen
- rel 7 (rebuild with ocaml-3.09.2)

Revision 1.19  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.18  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.17  2006/01/09 17:48:42  qboosh
- unified, fixed packate name in previous changelog entry

Revision 1.16  2005/12/30 12:29:14  baggins
- rel 4
- BR new ocaml-net-netstring-devel

Revision 1.15  2005/12/28 17:46:02  baggins
- rel 3
- rebuild with new ocaml-net

Revision 1.14  2005/12/25 23:19:15  baggins
- release 2

Revision 1.13  2005/12/12 14:02:41  baggins
- no more NOTES

Revision 1.12  2005/12/12 13:55:40  baggins
- fixed prep

Revision 1.11  2005/12/12 13:47:11  baggins
- up to 0.91.1

Revision 1.10  2005/12/11 15:52:35  baggins
- release 5
- req netstring-devel 1.1-3 for complete implementation

Revision 1.9  2005/12/10 22:43:06  baggins
- rel 4
- BR ocaml-net-cgi-devel

Revision 1.8  2005/12/10 18:45:28  baggins
- release 3 for ocaml 3.09.0

Revision 1.7  2004/09/02 14:36:06  snurf
- typos / formatting / etc.

Revision 1.6  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.5  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:51:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/11/27 22:06:25  juandon
- new %%doc

Revision 1.2  2002/05/13 14:05:12  malekith
- copied description from -devel where there was "No main package."

Revision 1.1  2002/05/13 11:28:43  malekith
- inital; from scratch

